<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

<!DOCTYPE html>
{% load i18n %}
{% load staticfiles %}
{% load ngfilter %}

<!-- Template for enhanced quicksearch results. -->
<script type="text/ng-template" id="customTemplateNavbar.html">
  <!--
       Copied from Baskets.
       - enlarged the cover image.
  -->
  <a>
    <table>
      <tr>
        <td>
          <img src="{{ 'match.model.item.cover' | ng }}" width="44" style="padding-right: 5px">
        </td>
        <td>
          <div ng-bind-html="match.label | uibTypeaheadHighlight:query"></div>
          <span style="font-size: 90%;">
            <span> {{ 'match.model.item.pubs_repr' | ng }} </span>
            <span> &bull; {{ 'match.model.item.price_fmt' | ng }} </span>
            <span ng-show="match.model.item.presedit"> &bull; {{ 'match.model.item.presedit' | ng }}</span>
            <span ng-show="match.model.item.dist_repr"> &bull; {{ 'match.model.item.dist_repr' | ng }}</span>
          </span>
  </a>
        </td>
      </tr>
    </table>
</script>


<html ng-app="abelujo">
  <head>
    <link rel="icon" href="{% static 'favicon.ico' %}">
    <!-- warning: also set in gulpfile.js-->
    <link rel="stylesheet" type="text/css" href="{% static "search/style.css" %}">
    <link rel="stylesheet" type="text/css" href="{% static "css/build/vendor.css" %}">
    <script defer src="https://cdn.jsdelivr.net/npm/notiflix@2.7.0/dist/notiflix-aio-2.7.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/luxon@1.25.0/build/global/luxon.min.js"></script>
    <script src="https://unpkg.com/htmx.org@1.8.2"></script>
    <script src="https://unpkg.com/hotkeys-js/dist/hotkeys.min.js"></script>

    <!-- Alpine JS: a quick way for simple client-side interactivity. -->
    <script defer src="https://unpkg.com/alpinejs@3.x.x/dist/cdn.min.js"></script>


    <script type="text/javascript" src="{% static 'search/js/abelujo-utils.js' %}"></script>
    <script type="text/javascript" src="{% static 'search/js/abelujo-js.js' %}"></script>
    <script type="text/javascript" src="{% static 'prelude-browser-min.js' %}"></script>
    <script type="text/javascript" src="{% static 'date-fr-FR.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/build/vendor.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/build/abelujo.js' %}"></script>
    <script type="text/javascript" src="{% url "django.views.i18n.javascript_catalog" %}"></script>
    <title>{% block pagetitle %} {% endblock %}</title>
  </head>
  <body ng-controller="navbarController" style="padding-top: 60px;" class="container-fullwidth">
    <nav role="navigation" class="navbar navbar-default navbar-inverse navbar-fixed-top container-fluid">
      <div class="navbar-collapse">
        <ul class="nav navbar-nav">
          <li>
            <button href="#menu-toggle" id="menu-toggle" onclick="toggleMenu()" title="Cacher le menu. Raccourcis: Control-gauche/droite" style="margin-top: 9px" class="slidebar-toggle">
              <!-- XXX: menu toggle not working on Chrome 87--><i class="glyphicon glyphicon-menu-hamburger"></i>
            </button>
          </li>
        </ul>
        <ul class="nav navbar-nav">
          <li><a>Abelujo</a>
          </li>
          <li id="dashboard" href="#" class="push-right"><a href="{% url "stats" %}">{% trans "Statistics" %} <i class="glyphicon glyphicon-stats"></i></a>
          </li>
          <li class="dropdown push-right"><a href="#" data-toggle="dropdown" role="button" title="{% trans "Access everything on the database" %}" class="dropdown-toggle">{% trans "Pages" %}<span class="caret"></span></a>{% get_current_language as LANGUAGE_CODE %}

            <ul class="dropdown-menu">
              <li href="#">
                <a href="/{{ LANGUAGE_CODE }}/catalogue-selection">{% trans "Sélection du libraire" %}</a>
              </li>

              {% if  FEATURE_EXCLUDE_FOR_WEBSITE %}
              <li role="separator" class="divider"></li>
              <li href="#">
                <a href="/{{ LANGUAGE_CODE }}/catalogue-excluded">{% trans "Livres exclus du site vitrine" %}</a>
              </li>
              {% endif %}

              <li role="separator" class="divider"></li>
              <li href="#">
                <a href="/{{ LANGUAGE_CODE }}/history/today/">{% trans "History" %}: {% trans "today" %}</a>
              </li>
              <li role="separator" class="divider"></li>
              <li href="#">
                <a href="/{{ LANGUAGE_CODE }}/stats/rotation/">{% trans "Rotation" %}</a>
              </li>
              <li role="separator" class="divider"></li>
              <li href="#"><a href="/{{ LANGUAGE_CODE }}/never-sold">{% trans "Cards unsold" %}</a>
              </li>
              <li href="#"><a href="/{{ LANGUAGE_CODE }}/cards-without-eans">{% trans "Cards without EANs" %}</a>
              </li>
            </ul>
          </li>

          {% if  user.is_staff %}
          <li class="dropdown push-right"><a href="#" data-toggle="dropdown" role="button" title="{% trans "Access everything on the database" %}" class="dropdown-toggle">{% trans "Database" %}<span class="caret"></span></a>{% get_current_language as LANGUAGE_CODE %}
            <ul class="dropdown-menu">
              <li href="#"><a href="/{{ LANGUAGE_CODE }}/stock/card/create">{% trans "Add a card manually" %}</a>
              </li>
              <li role="separator" class="divider"></li>
              <li href="#"><a href="/{{ LANGUAGE_CODE }}/databasesearch/card">{% trans "Card" %}</a>
              </li>
              <li href="#"><a href="/{{ LANGUAGE_CODE }}/databasesearch/cardtype">{% trans "Card type" %}</a>
              </li>
              <li href="#"><a href="/{{ LANGUAGE_CODE }}/databasesearch/shelf" title="{% trans "List and edit the shelves" %}">{% trans "Shelves" %}</a>
              </li>
              <li href="#"><a href="/{{ LANGUAGE_CODE }}/databasesearch/distributor">{% trans "Distributors" %}</a>
              </li>
              <li href="#"><a href="/{{ LANGUAGE_CODE }}/databasesearch/publisher">{% trans "Publishers" %}</a>
              </li>
              <li role="separator" class="divider"></li>
              <li href="#"><a href="/{{ LANGUAGE_CODE }}/databasesearch/client">{% trans "Clients" %}</a>
              </li><!-- li(href="#")<a href="/{{ LANGUAGE_CODE }}/reservations">{% trans "Reservations" %}</a>-->
              <li role="separator" class="divider"></li>
              <li href="#"><a href="/{{ LANGUAGE_CODE }}/database">{% trans "All" %}</a>
              </li>
            </ul>
          </li>
          {% endif %}

        </ul>
        <form class="navbar-form navbar-left">
          <div class="form-group">
            <input id="navbar-input"
                   style="background-color: #F7F7F9"
                   typeahead-loading="loadingCards"
                   ng-model="copy_selected"
                   uib-typeahead="copy.repr for copy in getCards($viewValue)"
                   typeahead-template-url="customTemplateNavbar.html"
                   typeahead-min-length="3"
                   typeahead-wait-ms="300"
                   typeahead-on-select="go_to_card($item)"
                   title="{% trans "Search any isbn, search by keywords in your stock" %} {% trans "You can use transformers to filter your query." %} {% trans "Use ? to search clients, use pub: or ed: to find books by publisher, use dist: and aut: to filter by distributors and authors, and lang: or type: to filter by product language or type." %}"
                   placeholder="{% trans "Search" %}"
                   class="form-control">
          </div>
        </form>
        <ul class="nav navbar-nav navbar-right">
          <li class="dropdown"><a href="#" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false" class="dropdown-toggle">{{'username'|ng}}<span class="caret"></span></a>
            <ul class="dropdown-menu">
              <li><a href="{% url 'preferences' %}">{% trans "Preferences" %}</a>
              </li>
              <li><a href="/logout/" title=" {% trans "Logout" %}">{% trans "Logout" %}  <i class="glyphicon glyphicon-log-out"></i></a>
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </nav>
  </body>
  <div id="wrapper" ng-controller="baseController">
    <div id="sidebar-wrapper" style="height: 100vh">
      <!-- We can't use HTMX boost on pages that rely on AngularJS widgets,-->
      <!-- such as My Stock, Sell… Angular won't start, widgets won't show.-->
      <!---->
      <ul class="sidebar-nav nav nav-pills nav-stacked">
        <li ng-class="{active: url == 'collection' }"><a href="{% url "card_collection" %}">{% trans "My stock" %}</a>
        </li>
        <li ng-class="{active: url == 'search' }"><a href="{% url "card_search" %}">{% trans "Search" %}</a>
        </li>{% if  user.is_staff %}
        <li ng-class="{active: url == 'sell' }"><a href="{% url "card_sell" %}">{% trans "Sell" %}<i style="margin-left: 1em" class="glyphicon glyphicon-credit-card"></i></a>
        </li>
        {% endif %}
        {% if  user.is_staff %}
        <li ng-class="{active: url == 'baskets' }" style="background-color: #CED4DA; margin-top: -1px"><a href="{% url "baskets" %}">{% trans "Lists" %}</a>
        </li>{% endif %}{% if  user.is_staff %}
        <li ng-class="{active: url == 'boxes' }" style="background-color: #CED4DA; margin-top: -1px"><a href="{% url "boxes" %}">{% trans "Boxes" %}</a>
        </li>{% endif %}{% if  user.is_staff %}
        <li ng-class="{active: url == 'returns' }" style="background-color: #CED4DA; margin-top: -1px"><a href="{% url "supplier_returns" %}">{% trans "Returns" %}</a>
        </li>{% endif %}{% if  user.is_staff %}
        <li ng-class="{active: url == 'reception' }"><a href="{% url "reception" %}">{% trans "Reception" %}</a>
        </li>{% endif %}{% if  user.is_staff %}
        <li ng-class="{active: url == 'commands' }"><a href="{% url "basket_auto_command" %}">{% trans "Commands" %}<span title="{% trans "Number of cards needing a command." %}" class="badge ng-cloak">{{ "auto_command_total" | ng }}</span>
          </a>
        </li>{% endif %}
        <li ng-show="FEATURE_SHOW_RESERVATION_BUTTON" ng-class="{active: url == 'reservations' }"><a href="{% url "reservations" %}">{% trans "Client Commands" %}<span title="{% trans "Number of ongoing client commands." %}" class="badge ng-cloak">{{ "client_commands_nb" | ng }}</span></a>
        </li>
        <li ng-class="{active: url == 'history' }"><a href="{% url "history_sells" %}">{% trans "History" %}</a>
          <li ng-class="{active: highlight_supplier_menu() }"><a href="{% url "suppliers_sells" %}">
            {% trans "Distributors" %}
          </a>
        </li>
        {% if  user.is_staff %}
        <li ng-class="{active: url == 'deposits' }" style="margin-top: -1px"><a href="{% url "deposits" %}" style="color: grey;">{% trans "Deposits" %}</a>
        </li>{% endif %}{% if  user.is_staff %}

        <!-- Stop with these old inventories ! 2023-02 -->
        <!-- Keep current routes for old clients though, for now. -->
        <li ng-class="{active: url == 'inventories' }" style="margin-top: -1px"><a href="{% url "inventories_v2" %}" style="color: grey;">{% trans "Inventories" %}</a>

        </li>{% endif %}
      </ul>
    </div>
    <div id="page-content-wrapper">
      <div id="page-content" style="padding: 1em">
        <div class="container-fluid">
          <div class="row" style="height: 100vh">
            <div class="col-md-12">

              {% for message in GLOBAL_MESSAGES %}
              {% if  message.message %}
              <div role="alert"
                  style="{{ message.style }}"
                  class="alert alert-{{ message.status }}">
                {{ message.message }}
              </div>
              {% endif %}
              {% endfor %}
              {% block content %}
              {% endblock content %}

            </div>
          </div>
        </div>
      </div>
    </div>
    <footer style="padding: 0 1em 1em 1em;" class="noprint">
      <hr>
      <small>
        {% if  ABELUJO_VERSION %}
        <span>Abelujo version: {{ ABELUJO_VERSION }}</span>
        {% endif %}
        <span class="col-1">
          &nbsp;&bull; <a href="https://diaspora-fr.org/tags/abelujo"
                           style="color: #333333; text-decoration: underline">
          {% trans "What's new?" %}</a>
        </span>
        {% if  FEATURE_DILICOM %}
        <span>
          &nbsp;&bull; Dilicom
        </span>
        {% else %}
        <span title="{% trans 'Not activated' %}" class="text-muted">
          &nbsp;&bull; Dilicom
        </span>
        {% endif %}
        {% if  FEATURE_ELECTRE_API %}
	<span>
          &nbsp;&bull; Electre
        </span>
        {% else %}
	<span title="{% trans 'Not activated' %}" class="text-muted">
          &nbsp;&bull; Electre
        </span>
        {% endif %}
        {% if  FEATURE_SMS %}
	<span>
          &nbsp;&bull; SMS
        </span>
        {% else %}
	<span title="{% trans 'Not activated' %}" class="text-muted">
          &nbsp;&bull; SMS
        </span>
        {% endif %}
        {% if  FEATURE_MAILER %}
	<span>
          &nbsp;&bull; email
        </span>
        {% else %}
	<span title="{% trans 'Not activated' %}" class="text-muted">
          &nbsp;&bull; email
        </span>
        {% endif %}
        {% if  FEATURE_UPDATE_CARD_ON_SELL %}
	<span>
          &nbsp;&bull; {% trans "update price on sells" %}
        </span>
        {% else %}
	<span class="text-muted">
          &nbsp;&bull; {% trans "don't update price on sells" %}

        </span>
        {% endif %}

      </small>
      <span id="api_token" style="display: None">{{ API_TOKEN }} </span>
    </footer>
  </div>
  <!-- brunch: load our Vue app.--><!-- scriptrequire("static/vue/main")-->
</html>
